Bug 870412 (CVE-2012-4544) - CVE-2012-4544 xen: Xen domain builder Out-of-memory due to malicious kernel/ramdisk
Summary: CVE-2012-4544 xen: Xen domain builder Out-of-memory due to malicious kernel/r...
Status: CLOSED ERRATA
Alias: CVE-2012-4544
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20121026,repor...
Keywords: Security
Depends On: 870413 870414 876997
Blocks: 870415 903143
TreeView+ depends on / blocked
 
Reported: 2012-10-26 12:25 UTC by Petr Matousek
Modified: 2015-07-31 10:33 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 13:56:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0241 normal SHIPPED_LIVE Moderate: xen security update 2013-02-07 23:53:04 UTC

Description Petr Matousek 2012-10-26 12:25:42 UTC
The Xen PV domain builder contained no validation of the size of the supplied kernel or ramdisk either before or after decompression. This could cause the toolstack to consume all available RAM in the domain running the domain builder.

A malicious guest administrator who can supply a kernel or ramdisk can exhaust memory in domain 0 leading to a denial of service attack.

HVM guests are not affected by this vulnerability.

Reference:
http://lists.xen.org/archives/html/xen-devel/2012-10/msg02015.html
http://www.openwall.com/lists/oss-security/2012/10/26/3

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 2 Petr Matousek 2012-10-26 12:28:55 UTC
Created xen tracking bugs for this issue

Affects: fedora-all [bug 870414]

Comment 6 errata-xmlrpc 2013-02-07 18:54:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0241 https://rhn.redhat.com/errata/RHSA-2013-0241.html


Note You need to log in before you can comment on or make changes to this bug.